1. <samp id="clyxw"><strong id="clyxw"></strong></samp>
  2. <table id="clyxw"><legend id="clyxw"></legend></table>
  3. <table id="clyxw"></table>

    <table id="clyxw"><ruby id="clyxw"></ruby></table>
    <track id="clyxw"><s id="clyxw"><menu id="clyxw"></menu></s></track>
    <pre id="clyxw"></pre>

    解決帝國cms(EmpireCMS)在安裝時出現mysql數據庫顯示不支持的辦法(帝國cms如何支持PHP7.X)

    [全站通告] 想快速節省您的時間并可接受付費的朋友,可掃右邊二維碼加博主微信-非誠勿擾!

    今天在安裝帝國cms的時候,竟然提示mysql不支持,這豈不是見鬼了,難道哪里有問題嗎?可明明我剛安裝了一個帝國哇,都支持,這個為啥不支持呢?難道跟哪里有關系呢?具體錯誤請看:(MYSQL 不支持 ×)

    網上解決此問題的也是各種不一,啥樣的都有,其實問題出現出現在php版本上;

    解決辦法:

    只需要更換帝國所在網址下的PHP版本即可;比如5.6版本

    再看,是不是已經OK了,其實就是PHP版本鬧的,更換版本即可解決問題;

    如果親非想使用高版本的PHP(比如7.X)那如何使用呢?

    在帝國目錄中,找到 /e/config/config.php? 找到數據庫信息 mysql 變成mysqli即可? 如下:

    //數據庫設置
    $ecms_config['db']['usedb']='mysql'; //數據庫類型
    

    變成

    //數據庫設置
    $ecms_config['db']['usedb']='mysqli'; //數據庫類型
    

     

    問題未解決?付費解決問題加Q或微信 2589053300 (即Q號又微信號)右上方掃一掃可加博主微信

    所寫所說,是心之所感,思之所悟,行之所得;文當無敷衍,落筆求簡潔。 以所舍,求所獲;有所依,方所成!

    支付寶贊助
    微信贊助

    免責聲明,若由于商用引起版權糾紛,一切責任均由使用者承擔。

    您必須遵守我們的協議,如您下載該資源,行為將被視為對《免責聲明》全部內容的認可->聯系老梁投訴資源
    LaoLiang.Net部分資源來自互聯網收集,僅供用于學習和交流,請勿用于商業用途。如有侵權、不妥之處,請聯系站長并出示版權證明以便刪除。 敬請諒解! 侵權刪帖/違法舉報/投稿等事物聯系郵箱:service@laoliang.net
    意在交流學習,歡迎贊賞評論,如有謬誤,請聯系指正;轉載請注明出處: » 解決帝國cms(EmpireCMS)在安裝時出現mysql數據庫顯示不支持的辦法(帝國cms如何支持PHP7.X)

    6 評論

    1. 請問,我現在使用的是apache2.4+php5.6.14+mysql5.6.49,為什么mysql還是顯示不支持呢

      1. @dd: 你看下你的帝國配置文件是mysql還是mysqli 注意后面多了一個i,或者你現在報錯是啥?

        1. @老梁: 沒有報錯,mysql顯示不支持。您說的具體是哪個配置文件?文件路徑是多少?

          1. @dd: e/class/config.php 這個文件里,就是看下數據庫連接文件,是不是更改了鏈接,注意我上一個回答的多了一個i

            1. @老梁: 是這條語句?$ecms_config[db][userdb]=mysql。如果是的話沒有i

            2. @老梁: 那你在mysql的l后加入一個i你在試試呢?或者說你是不是權限也沒給夠~~~

    發表回復

    本站承接,網站推廣(SEM,SEO);軟件安裝與調試;服務器或網絡推薦及配置;APP開發與維護;網站開發修改及維護; 各財務軟件安裝調試及注冊服務(金蝶,用友,管家婆,速達,星宇等);同時也有客戶管理系統,人力資源,超市POS,醫藥管理等;

    立即查看 了解詳情
    97午夜人人操人人看人人上_肥臀熟女一区二区三区_唯美清纯亚洲欧洲另类_一本一道无码免费看视频